package nova.monadic_sfx.http

import nova.monadic_sfx.http.requests.DummyRequest
import nova.monadic_sfx.AppTypes

trait HttpModule {
  def requesters(
      backend: AppTypes.HttpBackend,
      system: akka.actor.ActorSystem
  ): Requesters = {
    import com.softwaremill.macwire._
    val dummyRequester = wire[DummyRequest]
    wire[Requesters]
  }
}

class Requesters(val dummyRequester: DummyRequest)

// object Requesters {
//   def apply(
//       backend: AppTypes.HttpBackend,
//       system: akka.actor.ActorSystem
//   ): Requesters = {
//     import com.softwaremill.macwire._
//     val dummyRequester = wire[DummyRequest]
//     wire[Requesters]
//   }
// }
